const userRepo = require('../database/UserRepository');

async function DeleteAvatar(req, res) {
    try {
        if (!req.session.isLogged) {
            console.error('ERROR: Użytkownik nie jest zalogowany by usunąć avatar');
            return res.status(401).json({
                success: false,
                mess: 'Nie jesteś zalogowany!'
            });
        }

        const userId = req.session.user_id;

        if(await userRepo.DeleteAvatar(userId) < 1) {
            console.error('ERROR: Nie udało się skasować avatara z bazy danych');
            return res.status(400).json({
                success: false,
                mess: 'Nie udało się skasować avatara'
            });
        }

        res.status(200).json({
            success: true,
            mess: 'Pomyślnie skasowano avatar'
        });
    }
    catch(e) {
        console.error(`ERROR: Nie udało się skasować avatara: ${e}`);
        res.status(500).json({
            success: false,
            mess: 'Nie udało się skasować avatara'
        });
    }
}

module.exports = DeleteAvatar;